# Interface ICefMediaSource

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefMediaSource = interface(ICefBaseRefCounted)`

## Description

Represents a source from which media can be routed. Instances of this object are retrieved via ICefMediaRouter.GetSource. The functions of this interface may be called on any browser process thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_source_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefMediaSource

## Overview

### Methods

| `function GetId: ustring;`
| `function IsCastSource: boolean;`
| `function IsDialSource: boolean;`

### Properties

| `property ID : ustring read GetId;`

## Description

### Methods

| `function GetId: ustring;`
Returns the ID (media source URN or URL) for this source. ###### Attributes GUID['{734ED6E4-6498-43ED-AAA4-6B993EDC30BE}']

| `function IsCastSource: boolean;`
Returns true (1) if this source outputs its content via Cast.

| `function IsDialSource: boolean;`
Returns true (1) if this source outputs its content via DIAL.

### Properties

| `property ID : ustring read GetId;`
Returns the ID (media source URN or URL) for this source.

Generated by PasDoc 0.16.0-snapshot.